> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Drivers

> Returns a list of additional drivers.



## OpenAPI

````yaml get /{vin}/drivers
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/drivers:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Driver Management
      summary: Get Drivers
      description: Returns a list of additional drivers.
      operationId: get-drivers
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        my_tesla_unique_id:
                          type: integer
                        user_id:
                          type: integer
                        user_id_s:
                          type: string
                        driver_first_name:
                          type: string
                        driver_last_name:
                          type: string
                        granular_access:
                          type: object
                          properties:
                            hide_private:
                              type: boolean
                        active_pubkeys:
                          type: array
                          items:
                            type: string
                        public_key:
                          type: string
                x-examples:
                  Example 1:
                    results:
                      - my_tesla_unique_id: 123456789
                        user_id: 222222
                        user_id_s: '222222'
                        driver_first_name: Jane
                        driver_last_name: Doe
                        granular_access:
                          hide_private: false
                        active_pubkeys:
                          - >-
                            043da2708632f7d7c01f6cacdd82400746asdfd475c37a6adfaa19aed565f3e254790c1baaac94ee2c68349642d21e16bf89c70a13019516ed475104c945cb3d53
                        public_key: ''
                      - my_tesla_unique_id: 12345678
                        user_id: 111111
                        user_id_s: '222222'
                        driver_first_name: John
                        driver_last_name: Doe
                        granular_access:
                          hide_private: false
                        active_pubkeys:
                          - >-
                            04b7f61ba31002e4646f647953e2a2813e72e7315asdfe2bfa0badad9d42c0e3762e581c5ae58010146ccd9288333ceff26b84e57ae624fc4f7428ee20e719f00d
                        public_key: >-
                          04b7f61ba31002e4646f647953e2a2813e72e7315asdfe2bfa0badad9d42c0e3762e581c5ae58010146ccd9288333ceff26b84e57ae624fc4f7428ee20e719f00d
              examples:
                Example 1:
                  value:
                    results:
                      - my_tesla_unique_id: 88888888
                        user_id: 1234567
                        user_id_s: '1234567'
                        driver_first_name: Jane
                        driver_last_name: Doe
                        granular_access:
                          hide_private: false
                        active_pubkeys:
                          - >-
                            043da2708632f7d7c01f6casdf824007465408d475c37a6adfaa19aed565f3e254790c1baaac94ee2c68349642d21e16bf89c70a13019516ed475104c945cb3d53
                        public_key: ''
                      - my_tesla_unique_id: 99999999
                        user_id: 123456
                        user_id_s: '123456'
                        driver_first_name: John
                        driver_last_name: Doe
                        granular_access:
                          hide_private: false
                        active_pubkeys:
                          - >-
                            04b7f61ba31002e4646f64795asdf2813e72e73159947e2bfa0badad9d42c0e3762e581c5ae58010146ccd9288333ceff26b84e57ae624fc4f7428ee20e719f00d
                        public_key: >-
                          04b7f61ba31002e4646f64795asdf2813e72e73159947e2bfa0badad9d42c0e3762e581c5ae58010146ccd9288333ceff26b84e57ae624fc4f7428ee20e719f00d
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````